summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/bashdb/README14
-rw-r--r--development/bashdb/bashdb.SlackBuild52
-rw-r--r--development/bashdb/bashdb.info8
-rw-r--r--development/bashdb/slack-desc10
4 files changed, 84 insertions, 0 deletions
diff --git a/development/bashdb/README b/development/bashdb/README
new file mode 100644
index 0000000000..b07c443765
--- /dev/null
+++ b/development/bashdb/README
@@ -0,0 +1,14 @@
+The BASH Debugger Project contains the most comprehensive source-code debugger
+for bash that has been written. It has a similar command interface as gdb.
+
+The purpose of the BASH debugger is to help you catch bugs in the act:
+
+ * Start your script, specifying anything that might affect its behavior.
+ * Make your script stop on specified conditions.
+ * Examine what has happened, when your script has stopped.
+ * Change things in your script, so you can experiment with correcting the
+ effects of one bug and go on to learn about another.
+
+Read the INSTALL file in the source directory for instructions if you wish to
+enable readarray support. readarray speeds up initial loading of large scripts.
+
diff --git a/development/bashdb/bashdb.SlackBuild b/development/bashdb/bashdb.SlackBuild
new file mode 100644
index 0000000000..bd50a19856
--- /dev/null
+++ b/development/bashdb/bashdb.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# Slackware build script for bashdb
+# Written by Erik Hanson erik@slackbuilds.org
+
+# This will build without readarray support. Read the INSTALL file in the
+# source directory for instructions if you wish to enable readarray support.
+# readarray speeds up initial loading of large scripts.
+
+PRGNAM=bashdb
+VERSION=3.1-0.08
+PKGVER=3.1_0.08
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+gzip -9 $PKG/usr/info/*.info
+rm -rf $PKG/usr/info/dir
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog ChangeLog.0 INSTALL NEWS README THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.tgz
diff --git a/development/bashdb/bashdb.info b/development/bashdb/bashdb.info
new file mode 100644
index 0000000000..b8a1001f30
--- /dev/null
+++ b/development/bashdb/bashdb.info
@@ -0,0 +1,8 @@
+PRGNAM="bashdb"
+VERSION="3.1-0.08"
+HOMEPAGE="http://bashdb.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/bashdb/bashdb-3.1-0.08.tar.gz"
+MD5SUM="6273905fd0ad089e6c8dbbae75677ed1"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="elohim,BP{k},robw810"
diff --git a/development/bashdb/slack-desc b/development/bashdb/slack-desc
new file mode 100644
index 0000000000..15bf0fa891
--- /dev/null
+++ b/development/bashdb/slack-desc
@@ -0,0 +1,10 @@
+bashdb: bashdb - The BASH Debugger Project
+bashdb:
+bashdb: The BASH Debugger Project contains the most comprehensive source-code
+bashdb: debugger for bash that has been written. It has a similar command
+bashdb: interface as gdb.
+bashdb:
+bashdb: http://bashdb.sourceforge.net/
+bashdb:
+bashdb:
+bashdb: